# Uses of Interface
org.opensaml.xmlsec.keyinfo.KeyInfoCredentialResolver

Packages that use KeyInfoCredentialResolver
Package
Description
org.opensaml.saml.saml2.binding.security.impl
Security-related message handlers for SAML 2.0.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.config.impl
Configuration and initialization of security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of KeyInfoCredentialResolver in org.opensaml.saml.saml2.binding.security.impl

Fields in org.opensaml.saml.saml2.binding.security.impl declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
SAML2HTTPPostSimpleSignSecurityHandler.`keyInfoResolver`
KeyInfo resolver to use to process KeyInfo request parameter.
Methods in org.opensaml.saml.saml2.binding.security.impl that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
SAML2HTTPPostSimpleSignSecurityHandler.`getKeyInfoResolver()`
Get the KeyInfo credential resolver.
Methods in org.opensaml.saml.saml2.binding.security.impl with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`void`
SAML2HTTPPostSimpleSignSecurityHandler.`setKeyInfoResolver(KeyInfoCredentialResolver newKeyInfoResolver)`
Set the KeyInfo credential resolver.

## Uses of KeyInfoCredentialResolver in org.opensaml.saml.saml2.encryption

Constructors in org.opensaml.saml.saml2.encryption with parameters of type KeyInfoCredentialResolver
Modifier
Constructor
Description
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.

## Uses of KeyInfoCredentialResolver in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
MetadataCredentialResolver.`keyInfoCredentialResolver`
Credential resolver used to resolve credentials from role descriptor KeyInfo elements.
Methods in org.opensaml.saml.security.impl that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
MetadataCredentialResolver.`getKeyInfoCredentialResolver()`
Get the KeyInfo credential resolver used by this entityDescriptorResolver resolver to handle KeyInfo elements.
Methods in org.opensaml.saml.security.impl with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`void`
MetadataCredentialResolver.`setKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfo credential resolver used by this entityDescriptorResolver resolver to handle KeyInfo elements.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
DecryptionParameters.`dataKeyInfoCredentialResolver`
The EncryptedData's KeyInfo credential resolver.
`private KeyInfoCredentialResolver`
DecryptionParameters.`kekKeyInfoCredentialResolver`
The EncryptedKey's KeyInfo credential resolver.
Methods in org.opensaml.xmlsec that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
DecryptionConfiguration.`getDataKeyInfoCredentialResolver()`
The KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`KeyInfoCredentialResolver`
DecryptionParameters.`getDataKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`KeyInfoCredentialResolver`
DecryptionConfiguration.`getKEKKeyInfoCredentialResolver()`
The KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`KeyInfoCredentialResolver`
DecryptionParameters.`getKEKKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
Methods in org.opensaml.xmlsec with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`void`
DecryptionParameters.`setDataKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`void`
DecryptionParameters.`setKEKKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.config.impl

Methods in org.opensaml.xmlsec.config.impl that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`static KeyInfoCredentialResolver`
DefaultSecurityConfigurationBootstrap.`buildBasicInlineKeyInfoCredentialResolver()`
Build a basic instance of `KeyInfoCredentialResolver`.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
Decrypter.`kekResolver`
Resolver for key encryption keys.
`private KeyInfoCredentialResolver`
Decrypter.`resolver`
Resolver for data encryption keys.
Constructors in org.opensaml.xmlsec.encryption.support with parameters of type KeyInfoCredentialResolver
Modifier
Constructor
Description
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Set<String> newRecipients)`
Constructor.
``
`Decrypter(KeyInfoCredentialResolver newResolver, KeyInfoCredentialResolver newKEKResolver, EncryptedKeyResolver newEncKeyResolver, Set<String> newRecipients, Collection<String> includeAlgos, Collection<String> excludeAlgos)`
Constructor.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
BasicDecryptionConfiguration.`dataKeyInfoCredentialResolver`
The EncryptedData's KeyInfo credential resolver.
`private KeyInfoCredentialResolver`
BasicDecryptionConfiguration.`kekKeyInfoCredentialResolver`
The EncryptedKey's KeyInfo credential resolver.
Methods in org.opensaml.xmlsec.impl that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
BasicDecryptionConfiguration.`getDataKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`KeyInfoCredentialResolver`
BasicDecryptionConfiguration.`getKEKKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`protected KeyInfoCredentialResolver`
BasicDecryptionParametersResolver.`resolveDataKeyInfoCredentialResolver(CriteriaSet criteria)`
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedData` instances.
`protected KeyInfoCredentialResolver`
BasicDecryptionParametersResolver.`resolveKEKKeyInfoCredentialResolver(CriteriaSet criteria)`
Resolve and return the effective `KeyInfoCredentialResolver` used with `EncryptedKey` instances.
Methods in org.opensaml.xmlsec.impl with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setDataKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`BasicDecryptionConfiguration`
BasicDecryptionConfiguration.`setKEKKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.keyinfo.impl

Classes in org.opensaml.xmlsec.keyinfo.impl that implement KeyInfoCredentialResolver
Modifier and Type
Class
Description
`class`
`BasicProviderKeyInfoCredentialResolver`
Implementation of `KeyInfoCredentialResolver` which resolves credentials based on a `KeyInfo` element using a configured list of `KeyInfoProvider`s and optional post-processing hooks.
`class`
`ChainingKeyInfoCredentialResolver`
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the `KeyInfoCredentialResolver` type.
`class`
`CollectionKeyInfoCredentialResolver`
An implementation of `KeyInfoCredentialResolver` which uses a `Collection` as the underlying credential source.
`class`
`LocalKeyInfoCredentialResolver`
A simple specialization of `BasicProviderKeyInfoCredentialResolver` which is capable of using information from a `KeyInfo` to resolve local credentials from a supplied `CredentialResolver` which manages local credentials.
`class`
`StaticKeyInfoCredentialResolver`
Simple implementation of `KeyInfoCredentialResolver` which just stores and returns a static set of credentials.
Methods in org.opensaml.xmlsec.keyinfo.impl with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`Collection<Credential>`
KeyInfoProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
Constructor parameters in org.opensaml.xmlsec.keyinfo.impl with type arguments of type KeyInfoCredentialResolver
Modifier
Constructor
Description
``
`ChainingKeyInfoCredentialResolver(List<KeyInfoCredentialResolver> resolverChain)`
Constructor.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider with parameters of type KeyInfoCredentialResolver
Modifier and Type
Method
Description
`Collection<Credential>`
AgreementMethodKeyInfoProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
DEREncodedKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
DSAKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
ECKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
InlineX509DataProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
KeyInfoReferenceProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`Collection<Credential>`
RSAKeyValueProvider.`process(KeyInfoCredentialResolver resolver, XMLObject keyInfoChild, CriteriaSet criteriaSet, KeyInfoResolutionContext kiContext)`
Process a specified KeyInfo child (XMLobject) and attempt to resolve a credential from it.
`private Credential`
AgreementMethodKeyInfoProvider.`resolveOriginatorCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the originator `Credential` from the `OriginatorKeyInfo` element.
`private Credential`
AgreementMethodKeyInfoProvider.`resolveRecipientCredential(AgreementMethod agreementMethod, KeyInfoCredentialResolver resolver)`
Resolve the recipient `Credential` from the `RecipientKeyInfo` element.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.signature.support

Methods in org.opensaml.xmlsec.signature.support that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
SignatureTrustEngine.`getKeyInfoResolver()`
Get the KeyInfoCredentialResolver instance used to resolve (advisory) signing credential information from KeyInfo elements contained within a Signature element.

## Uses of KeyInfoCredentialResolver in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as KeyInfoCredentialResolver
Modifier and Type
Field
Description
`private final KeyInfoCredentialResolver`
BaseSignatureTrustEngine.`keyInfoCredentialResolver`
KeyInfo credential resolver used to obtain the signing credential from a Signature's KeyInfo.
Methods in org.opensaml.xmlsec.signature.support.impl that return KeyInfoCredentialResolver
Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
BaseSignatureTrustEngine.`getKeyInfoResolver()`
Get the KeyInfoCredentialResolver instance used to resolve (advisory) signing credential information from KeyInfo elements contained within a Signature element.
`KeyInfoCredentialResolver`
ChainingSignatureTrustEngine.`getKeyInfoResolver()`
Get the KeyInfoCredentialResolver instance used to resolve (advisory) signing credential information from KeyInfo elements contained within a Signature element.
Constructors in org.opensaml.xmlsec.signature.support.impl with parameters of type KeyInfoCredentialResolver
Modifier
Constructor
Description
``
`BaseSignatureTrustEngine(KeyInfoCredentialResolver keyInfoResolver)`
Constructor.
``
`ExplicitKeySignatureTrustEngine(CredentialResolver resolver, KeyInfoCredentialResolver keyInfoResolver)`
Constructor.
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver)`
Constructor.
``
`PKIXSignatureTrustEngine(PKIXValidationInformationResolver resolver, KeyInfoCredentialResolver keyInfoResolver, PKIXTrustEvaluator pkixEvaluator, X509CredentialNameEvaluator nameEvaluator)`
Constructor.